> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# GET /settings/checkout-styles-overlay

**Get overlay checkout style settings**

Returns the overlay checkout style settings for your account.

Includes the brand color (`primary_checkout_color`) used by overlay checkout.

**Required permissions:** `checkout_settings.read`

## Response (200)

- `data`: object (required) — Represents the overlay checkout style settings for your account.
  - `primary_checkout_color`: string | null (required) — Brand color for overlay checkout, as a six-digit hex code including the leading `#`.

`null` when no brand color is set, in which case the default checkout color applies. (pattern: `^#[0-9a-fA-F]{6}$`)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "primary_checkout_color": "#4F46E5"
  },
  "meta": {
    "request_id": "8f6e6c8e-6f2b-4b1c-9b2b-6f5e9e2b5e2b"
  }
}
```
